Libraries

To make the experience of using the Base API v2 even more pleasant, we release pre-built client libraries for many major programming languages.

Currently we officially support Ruby, Python, PHP and Java wrappers (see more details below).


Ruby

The gem is available via Rubygems and the source code can be found on Github. To install, use the following command:

gem install basecrm

If you use Bundler, put the line below in your Gemfile:

gem 'basecrm'

To get the latest version, put this in your Gemfile:

gem 'basecrm', git: "git://github.com/basecrm/basecrm-ruby.git"

Python

BaseCRM package is avialable via PyPI and can be installed either via pip or easy_install:

$ pip install --upgrade basecrm

or

$ easy_install --upgrade basecrm

You can install from the source code as well. First clone the repo and then execute:

$ python setup.py install

PHP

The recommended way to install the client is through Composer.

# Install Composer
curl -sS https://getcomposer.org/installer | php

Next, run the Composer command to install the latest stable version:

composer require basecrm/basecrm-php

After installing, you need to require Composer’s autoloader:

require 'vendor/autoload.php';

The source code is avaialble on Github


Java

The following intruction assume you have Gradle Build System installed. The library is available via JCenter. To install, add the following content to your build.gradle file:

repositories {
  jcenter()
}

depdendencies {
  compile "com.getbase:basecrm-java:1.0.0"
}

The source code can be found on Github.